现在的位置: 首页 > 操作系统 > 正文

ubuntu 下面安装 vim 的问题

2018年02月23日 操作系统 ⁄ 共 3826字 ⁄ 字号 评论关闭

ubuntu 下面安装 vim 的问题 

1.输入vim时,显示:
程序“vim”已包含在以下软件包中:
* vim
* vim-gnome
* vim-tiny
* vim-gtk
* vim-nox
请尝试:sudo apt-get install <选定的软件包>
vim: command not found
2.输入sudo apt-get install vim 时显示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
vim: 依赖: vim-common (= 1:7.1-138+1ubuntu3.1) 但是 2:7.2.245-2ubuntu2 正要被安装
E: 无法安装的软件包
3.这时,删除vim-common(这是关键):输入sudo apt-get remove vim-common,
显示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包将被【卸载】:
ubuntu-minimal vim-common vim-tiny
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 3 个软件包,有 0 个软件未被升级。
解压缩后将会空出 1,233kB 的空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 109298 个文件和目录。)
正在删除 ubuntu-minimal ...
正在删除 vim-tiny ...
update-alternatives: 使用 /usr/bin/see 来提供 /usr/bin/view (view),于 自动模式 中。
正在删除 vim-common ...
正在处理用于 man-db 的触发器...
4.这时可以安装vim了:输入sudo apt-get install vim
得到:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
将会安装下列额外的软件包:
libdb4.6 libgpmg1 python2.5 python2.5-minimal vim-common vim-runtime
建议安装的软件包:
gpm python2.5-doc python-profiler ctags vim-doc vim-scripts
下列【新】软件包将被安装:
libdb4.6 libgpmg1 python2.5 python2.5-minimal vim vim-common vim-runtime
共升级了 0 个软件包,新安装了 7 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 11.1MB 的软件包。
解压缩后会消耗掉 41.7MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://security.ubuntu.com karmic-security/main python2.5-minimal 2.5.4-1ubuntu6.1 [1,190kB]
获取:2 http://archive.ubuntu.com hardy-security/main vim-common 1:7.1-138+1ubuntu3.1 [190kB]
获取:3 http://archive.ubuntu.com hardy/main libdb4.6 4.6.21-6ubuntu1 [556kB]
获取:4 http://security.ubuntu.com karmic-security/main python2.5 2.5.4-1ubuntu6.1 [2,915kB]
获取:5 http://archive.ubuntu.com hardy/main libgpmg1 1.19.6-25ubuntu1 [51.2kB]
获取:6 http://archive.ubuntu.com hardy-security/main vim-runtime 1:7.1-138+1ubuntu3.1 [5,420kB]
获取:7 http://archive.ubuntu.com hardy-security/main vim 1:7.1-138+1ubuntu3.1 [810kB]
下载 11.1MB,耗时 3 分钟 5 秒 (60.0kB/s)                                       
选中了曾被取消选择的软件包 vim-common。
(正在读取数据库 ... 系统当前总共安装有 109241 个文件和目录。)
正在解压缩 vim-common (从 .../vim-common_1%3a7.1-138+1ubuntu3.1_i386.deb) ...
选中了曾被取消选择的软件包 libdb4.6。
正在解压缩 libdb4.6 (从 .../libdb4.6_4.6.21-6ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 python2.5-minimal。
正在解压缩 python2.5-minimal (从 .../python2.5-minimal_2.5.4-1ubuntu6.1_i386.deb) ...
选中了曾被取消选择的软件包 libgpmg1。
正在解压缩 libgpmg1 (从 .../libgpmg1_1.19.6-25ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 python2.5。
正在解压缩 python2.5 (从 .../python2.5_2.5.4-1ubuntu6.1_i386.deb) ...
选中了曾被取消选择的软件包 vim-runtime。
正在解压缩 vim-runtime (从 .../vim-runtime_1%3a7.1-138+1ubuntu3.1_all.deb) ...
选中了曾被取消选择的软件包 vim。
正在解压缩 vim (从 .../vim_1%3a7.1-138+1ubuntu3.1_i386.deb) ...
正在处理用于 man-db 的触发器...
正在处理用于 desktop-file-utils 的触发器...
正在设置 vim-common (1:7.1-138+1ubuntu3.1) ...
正在安装新版本的配置文件 /etc/vim/vimrc ...
正在安装新版本的配置文件 /etc/vim/vimrc.tiny ...

正在设置 libdb4.6 (4.6.21-6ubuntu1) ...
正在设置 python2.5-minimal (2.5.4-1ubuntu6.1) ...
Linking and byte-compiling packages for runtime python2.5...
/usr/lib/python2.5/site-packages/Onboard/KeyboardSVG.py:104: Warning: 'with' will become a reserved keyword in Python 2.6
Compiling /usr/lib/python2.5/site-packages/Onboard/KeyboardSVG.py ...
File "/usr/lib/python2.5/site-packages/Onboard/KeyboardSVG.py", line 104
with open(pane_svg_filename) as svg_file:
^
SyntaxError: invalid syntax

Errors were ignored.

正在设置 libgpmg1 (1.19.6-25ubuntu1) ...

正在设置 python2.5 (2.5.4-1ubuntu6.1) ...

正在设置 vim-runtime (1:7.1-138+1ubuntu3.1) ...
Processing /usr/share/vim/addons/doc

正在设置 vim (1:7.1-138+1ubuntu3.1) ...
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/vim (vim),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/vimdiff (vimdiff),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/rvim (rvim),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/rview (rview),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/vi (vi),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/view (view),于 自动模式 中。
update-alternatives: 使用 /usr/bin/vim.basic 来提供 /usr/bin/ex (ex),于 自动模式 中。

正在处理用于 python-support 的触发器...
正在处理用于 libc-bin 的触发器...
ldconfig deferred processing now taking place
(至此vim已安装成功)

抱歉!评论已关闭.